Bug 1333712 (CVE-2016-4581) - CVE-2016-4581 kernel: Slave being first propagated copy causes oops in propagate_mnt
Summary: CVE-2016-4581 kernel: Slave being first propagated copy causes oops in propag...
Status: NEW
Alias: CVE-2016-4581
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160505,repor...
Keywords: Security
Depends On: 1333713 1335979 1338808 1338809 1338810 1338811 1338812
Blocks: 1333727
TreeView+ depends on / blocked
 
Reported: 2016-05-06 08:07 UTC by Adam Mariš
Modified: 2019-02-08 14:56 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC

Description Adam Mariš 2016-05-06 08:07:37 UTC
It was reported that when first propagated copy is a slave, it causes kernel oops. This oops happens with the namespace_sem held and can be triggered by non-root users.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=5ec0811d30378ae104f250bfc9b3640242d81e3f

Comment 1 Adam Mariš 2016-05-06 08:08:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1333713]

Comment 3 Adam Mariš 2016-05-11 15:38:27 UTC
CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q2/313

http://seclists.org/oss-sec/2016/q2/318

Comment 4 Vladis Dronov 2016-05-13 17:00:42 UTC
Acknowledgements:

Name: Eric W. Biederman (Red Hat)

Comment 6 Fedora Update System 2016-05-14 23:22:53 UTC
kernel-4.5.4-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-16 14:52:34 UTC
kernel-4.4.9-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Vladis Dronov 2016-05-23 13:11:44 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, as there is no user namespace support in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 12 Fedora Update System 2016-06-02 14:59:44 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2016-11-03 16:28:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 14 errata-xmlrpc 2016-11-03 19:49:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 15 errata-xmlrpc 2016-11-03 21:34:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 16 errata-xmlrpc 2016-11-03 21:49:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html


Note You need to log in before you can comment on or make changes to this bug.